Debian Bug report logs - #283896
libdbd-sqlite-perl: version mismatch with sqlite package.

version graph

Package: libdbd-sqlite-perl; Maintainer for libdbd-sqlite-perl is (unknown);

Reported by: Jihoon Chung <jhchung@sig-n.com>

Date: Thu, 2 Dec 2004 03:18:04 UTC

Severity: grave

Tags: sid

Found in version 1.07-1

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Krzyzaniak (eloy) <eloy@debian.org>:
Bug#283896; Package libdbd-sqlite-perl. Full text and rfc822 format available.

Acknowledgement sent to Jihoon Chung <jhchung@sig-n.com>:
New Bug report received and forwarded. Copy sent to Krzysztof Krzyzaniak (eloy) <eloy@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jihoon Chung <jhchung@sig-n.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdbd-sqlite-perl: version mismatch with sqlite package.
Date: Thu, 02 Dec 2004 12:02:00 +0900
Package: libdbd-sqlite-perl
Version: 1.07-1
Severity: normal

I'm using sid.
I can't access db files created with sqlite package.
sqlite version is 2.8.15 and libdbd-sqlite-perl reports it's using
sqlite_version of 3.0.8.

dbd-sqlite-perl reports below error message.

DBD::SQLite::db prepare failed: file is encrypted or is not a
database(26) at dbdimp.c line 263 at ./a.pl line 11.


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-1-686
Locale: LANG=ko_KR.eucKR, LC_CTYPE=ko_KR.eucKR (charmap=EUC-KR)

Versions of packages libdbd-sqlite-perl depends on:
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  libdbi-perl                 1.45-1       The Perl5 Database Interface by Ti
ii  perl                        5.8.4-4      Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.8.4]   5.8.4-4      The Pathologically Eclectic Rubbis

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Krzyzaniak (eloy) <eloy@debian.org>:
Bug#283896; Package libdbd-sqlite-perl. Full text and rfc822 format available.

Acknowledgement sent to Tim Riker <Tim@Rikers.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Krzyzaniak (eloy) <eloy@debian.org>. Full text and rfc822 format available.

Message #10 received at 283896@bugs.debian.org (full text, mbox):

From: Tim Riker <Tim@Rikers.org>
To: 283896@bugs.debian.org
Subject: libdbd-sqlite-perl: version mismatch with sqlite package.
Date: Fri, 17 Dec 2004 09:12:26 -0600
any progress on this?

Ideally this package would use libsqlite0 instead of static linking the lib:

timr@pegasos:~$ ldd `which sqlite`
	libpthread.so.0 => /lib/libpthread.so.0 (0x0ff8f000)
	libsqlite.so.0 => /usr/lib/libsqlite.so.0 (0x0ff17000)
	libreadline.so.4 => /lib/libreadline.so.4 (0x0fec4000)
	libc.so.6 => /lib/libc.so.6 (0x0fd65000)
	/lib/ld.so.1 => /lib/ld.so.1 (0x30000000)
	libncurses.so.5 => /lib/libncurses.so.5 (0x0fcfc000)
timr@pegasos:~$ ldd /usr/lib/perl5/auto/DBD/SQLite2/SQLite2.so
	libc.so.6 => /lib/libc.so.6 (0x6fe2b000)
	/lib/ld.so.1 => /lib/ld.so.1 (0x08000000)

It might be nice to have a DBD::SQLite2 as well as a DBD::SQLite3 
package. This package appears to be using SQLite 3 but is named SQLite2
-- 
Tim Riker - http://rikers.org/ - TimR@Debian.org
Linux Technologist - Tim@TI.com - http://www.TI.com/
BZFlag maintainer - http://BZFlag.org/ - for fun!



Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Krzyzaniak (eloy) <eloy@debian.org>:
Bug#283896; Package libdbd-sqlite-perl. Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Krzyzaniak <krzysztof.krzyzaniak@allegro.pl>:
Extra info received and forwarded to list. Copy sent to Krzysztof Krzyzaniak (eloy) <eloy@debian.org>. Full text and rfc822 format available.

Message #15 received at 283896@bugs.debian.org (full text, mbox):

From: Krzysztof Krzyzaniak <krzysztof.krzyzaniak@allegro.pl>
To: Tim Riker <Tim@Rikers.org>, 283896@bugs.debian.org
Cc: rotty@debian.org
Subject: Re: Bug#283896: libdbd-sqlite-perl: version mismatch with sqlite package.
Date: Fri, 17 Dec 2004 16:59:48 +0100
Dnia 17-12-2004, pią o godzinie 09:12 -0600, Tim Riker napisał(a):
> any progress on this?
> 
> Ideally this package would use libsqlite0 instead of static linking the lib:
> 
> timr@pegasos:~$ ldd `which sqlite`
> 	libpthread.so.0 => /lib/libpthread.so.0 (0x0ff8f000)
> 	libsqlite.so.0 => /usr/lib/libsqlite.so.0 (0x0ff17000)
> 	libreadline.so.4 => /lib/libreadline.so.4 (0x0fec4000)
> 	libc.so.6 => /lib/libc.so.6 (0x0fd65000)
> 	/lib/ld.so.1 => /lib/ld.so.1 (0x30000000)
> 	libncurses.so.5 => /lib/libncurses.so.5 (0x0fcfc000)
> timr@pegasos:~$ ldd /usr/lib/perl5/auto/DBD/SQLite2/SQLite2.so
> 	libc.so.6 => /lib/libc.so.6 (0x6fe2b000)
> 	/lib/ld.so.1 => /lib/ld.so.1 (0x08000000)
> 
> It might be nice to have a DBD::SQLite2 as well as a DBD::SQLite3 
> package. This package appears to be using SQLite 3 but is named SQLite2

I'd like to change name from  libdbd-sqlite-perl to  libdbd-sqlite2-perl
(linked with sqlite2) and then upload new package libdbd-sqlite-perl
(linked with sqlite3).


  eloy
-- 
* Allegro.pl / Aukro.cz / Tetrako.hu
* Krzysztof 'eloy' Krzyżaniak
* <eloy@allegro.pl>




Severity set to `critical'. Request was from Krzysztof Krzyzaniak <krzysztof.krzyzaniak@allegro.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Krzyzaniak (eloy) <eloy@debian.org>:
Bug#283896; Package libdbd-sqlite-perl. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Krzyzaniak (eloy) <eloy@debian.org>. Full text and rfc822 format available.

Message #22 received at 283896@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 283896@bugs.debian.org
Subject: Re: libdbd-sqlite-perl: version mismatch with sqlite package.
Date: Sat, 8 Jan 2005 04:44:22 -0800
[Message part 1 (text/plain, inline)]
severity 283896 grave
thanks

Hi eloy,

I'm confused why you raised the severity of this bug, given your comments in
the BTS.

- First, this bug is not critical: it does not break "unrelated packages
  or the whole system".  It is at most grave (if it makes the package
  unusable), or serious (if it's your opinion that this bug makes the
  package unsuitable for release for other reasons).
- Second, I don't understand why this package would be /unusable/, it's just
  not compatible with the sqlite package.  Everything I see says that it
  should be compatible with the sqlite3 package.  Therefore the package
  isn't unusable, it's just being used wrong.  Also, since you suggested
  having "libdbd-sqlite2-perl" and "libdbd-sqlite-perl" as package names for
  two versions of this package, this would *still* leave libdbd-sqlite-perl
  incompatible with sqlite, AIUI, so your changes would not seem to do
  anything to fix this bug.

Since there are several packages in the archive that depend on
libdbd-sqlite-perl, I would appreciate it if you would explain why you think
this is a release critical bug before attempting to remove those packages
from testing.

Thanks,
-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Severity set to `grave'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Krzyzaniak (eloy) <eloy@debian.org>:
Bug#283896; Package libdbd-sqlite-perl. Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Krzyzaniak <krzysztof.krzyzaniak@allegro.pl>:
Extra info received and forwarded to list. Copy sent to Krzysztof Krzyzaniak (eloy) <eloy@debian.org>. Full text and rfc822 format available.

Message #29 received at 283896@bugs.debian.org (full text, mbox):

From: Krzysztof Krzyzaniak <krzysztof.krzyzaniak@allegro.pl>
To: Steve Langasek <vorlon@debian.org>, 283896@bugs.debian.org
Subject: Re: Bug#283896: libdbd-sqlite-perl: version mismatch with sqlite package.
Date: Mon, 10 Jan 2005 09:33:16 +0100
Dnia 08-01-2005, sob o godzinie 04:44 -0800, Steve Langasek napisał(a):
> severity 283896 grave
> thanks
> 
> Hi eloy,
> 
> I'm confused why you raised the severity of this bug, given your comments in
> the BTS.
> 
> - First, this bug is not critical: it does not break "unrelated packages
>   or the whole system".  It is at most grave (if it makes the package
>   unusable), or serious (if it's your opinion that this bug makes the
>   package unsuitable for release for other reasons).
> - Second, I don't understand why this package would be /unusable/, it's just
>   not compatible with the sqlite package.  Everything I see says that it
>   should be compatible with the sqlite3 package.  Therefore the package
>   isn't unusable, it's just being used wrong.  Also, since you suggested
>   having "libdbd-sqlite2-perl" and "libdbd-sqlite-perl" as package names for
>   two versions of this package, this would *still* leave libdbd-sqlite-perl
>   incompatible with sqlite, AIUI, so your changes would not seem to do
>   anything to fix this bug.
> 
> Since there are several packages in the archive that depend on
> libdbd-sqlite-perl, I would appreciate it if you would explain why you think
> this is a release critical bug before attempting to remove those packages
> from testing.
> 
> Thanks,

Take look at
<http://lists.debian.org/debian-perl/2004/12/msg00030.html>,
<http://lists.debian.org/debian-perl/2004/12/msg00039.html> (and below).

Question is in upstream changes and very confusing schema names. I'll
try to work out this issue as soon as possible.

  eloy
-- 
* Allegro.pl / Aukro.cz / Tetrako.hu
* Krzysztof 'eloy' Krzyżaniak
* <eloy@allegro.pl>




Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Krzyzaniak (eloy) <eloy@debian.org>:
Bug#283896; Package libdbd-sqlite-perl. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Krzyzaniak (eloy) <eloy@debian.org>. Full text and rfc822 format available.

Message #34 received at 283896@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Krzysztof Krzyzaniak <krzysztof.krzyzaniak@allegro.pl>
Cc: 283896@bugs.debian.org
Subject: Re: Bug#283896: libdbd-sqlite-perl: version mismatch with sqlite package.
Date: Mon, 10 Jan 2005 02:01:40 -0800
[Message part 1 (text/plain, inline)]
tags 283896 sid
thanks

On Mon, Jan 10, 2005 at 09:33:16AM +0100, Krzysztof Krzyzaniak wrote:
> Dnia 08-01-2005, sob o godzinie 04:44 -0800, Steve Langasek napisał(a):
> > I'm confused why you raised the severity of this bug, given your comments in
> > the BTS.

> > - First, this bug is not critical: it does not break "unrelated packages
> >   or the whole system".  It is at most grave (if it makes the package
> >   unusable), or serious (if it's your opinion that this bug makes the
> >   package unsuitable for release for other reasons).
> > - Second, I don't understand why this package would be /unusable/, it's just
> >   not compatible with the sqlite package.  Everything I see says that it
> >   should be compatible with the sqlite3 package.  Therefore the package
> >   isn't unusable, it's just being used wrong.  Also, since you suggested
> >   having "libdbd-sqlite2-perl" and "libdbd-sqlite-perl" as package names for
> >   two versions of this package, this would *still* leave libdbd-sqlite-perl
> >   incompatible with sqlite, AIUI, so your changes would not seem to do
> >   anything to fix this bug.

> > Since there are several packages in the archive that depend on
> > libdbd-sqlite-perl, I would appreciate it if you would explain why you think
> > this is a release critical bug before attempting to remove those packages
> > from testing.

> Take look at
> <http://lists.debian.org/debian-perl/2004/12/msg00030.html>,
> <http://lists.debian.org/debian-perl/2004/12/msg00039.html> (and below).

> Question is in upstream changes and very confusing schema names. I'll
> try to work out this issue as soon as possible.

Ok, thanks, that explains why you think this is an RC bug.

From what I can see, this bug only affects the sid version of the package;
tag added.

Cheers,
-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Tags added: sid Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Krzyzaniak (eloy) <eloy@debian.org>:
Bug#283896; Package libdbd-sqlite-perl. Full text and rfc822 format available.

Acknowledgement sent to "Marcelo E. Magallon" <mmagallo@debian.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Krzyzaniak (eloy) <eloy@debian.org>. Full text and rfc822 format available.

Message #41 received at 283896@bugs.debian.org (full text, mbox):

From: "Marcelo E. Magallon" <mmagallo@debian.org>
To: Krzysztof Krzyzaniak <krzysztof.krzyzaniak@allegro.pl>
Cc: 283896@bugs.debian.org, 283896-submitter@bugs.debian.org, marcelo.magallon@gmail.com
Subject: Re: Bug#283896: libdbd-sqlite-perl: version mismatch with sqlite package.
Date: Fri, 21 Jan 2005 08:45:48 -0600
Hi Krzysztof,

On Mon, Jan 10, 2005 at 09:33:16AM +0100, Krzysztof Krzyzaniak wrote:

 > Take look at
 > <http://lists.debian.org/debian-perl/2004/12/msg00030.html>,
 > <http://lists.debian.org/debian-perl/2004/12/msg00039.html> (and below).
 > 
 > Question is in upstream changes and very confusing schema names. I'll
 > try to work out this issue as soon as possible.

 any word on this?  I'm getting a bit tickled but this.  I've got the
 feeling that everytime I write a perl script using DBD::SQLite it's
 going to break without warning...

 Marcelo



Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Krzyzaniak (eloy) <eloy@debian.org>:
Bug#283896; Package libdbd-sqlite-perl. Full text and rfc822 format available.

Acknowledgement sent to "Marcelo E. Magallon" <mmagallo@debian.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Krzyzaniak (eloy) <eloy@debian.org>. Full text and rfc822 format available.

Message #46 received at 283896@bugs.debian.org (full text, mbox):

From: "Marcelo E. Magallon" <mmagallo@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 283896@bugs.debian.org
Subject: Re: libdbd-sqlite-perl: version mismatch with sqlite package.
Date: Fri, 21 Jan 2005 09:00:23 -0600
Hi Steve,

On Sat, Jan 08, 2005 at 04:44:22AM -0800, Steve Langasek wrote:

 > - First, this bug is not critical: it does not break "unrelated
 >   packages or the whole system".  It is at most grave (if it makes
 >   the package unusable), or serious (if it's your opinion that this
 >   bug makes the package unsuitable for release for other reasons).

 It depends on how you understand "unrelated packages".  It breaks
 existing scripts because the backend is changed from SQLite 2 to 3.
 SQLite 3 can't read files written by SQLite 2 and the error message
 that DBD outputs is rather confusing (much more generic than "can't
 read files in SQLite 2 format").

 The package itself is usable, one must only pay attention to what one
 is doing.

 It's unsuitable for release with sarge because we don't know what
 upstream's plan is (maybe Krzysztof has already figured out something
 with upstream, but there's no record of that on the BTS).  I would very
 much prefer _not_ to release these packages with sarge unless this is
 fixed and an upgrade path is provided.  SQLite provides such path, only
 the Perl DBD is a mess.

 Marcelo



Message sent on to Jihoon Chung <jhchung@sig-n.com>:
Bug#283896. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Krzyzaniak (eloy) <eloy@debian.org>:
Bug#283896; Package libdbd-sqlite-perl. Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Krzyzaniak <krzysztof.krzyzaniak@allegro.pl>:
Extra info received and forwarded to list. Copy sent to Krzysztof Krzyzaniak (eloy) <eloy@debian.org>. Full text and rfc822 format available.

Message #54 received at 283896@bugs.debian.org (full text, mbox):

From: Krzysztof Krzyzaniak <krzysztof.krzyzaniak@allegro.pl>
To: 283896@bugs.debian.org, "Marcelo E. Magallon" <mmagallo@debian.org>
Subject: Re: Bug#283896: libdbd-sqlite-perl: version mismatch with sqlite package.
Date: Wed, 26 Jan 2005 10:42:42 +0100
On pią, 2005-01-21 at 09:00 -0600, Marcelo E. Magallon wrote:
> Hi Steve,
> 
> On Sat, Jan 08, 2005 at 04:44:22AM -0800, Steve Langasek wrote:
> 
>  > - First, this bug is not critical: it does not break "unrelated
>  >   packages or the whole system".  It is at most grave (if it makes
>  >   the package unusable), or serious (if it's your opinion that this
>  >   bug makes the package unsuitable for release for other reasons).
> 
>  It depends on how you understand "unrelated packages".  It breaks
>  existing scripts because the backend is changed from SQLite 2 to 3.
>  SQLite 3 can't read files written by SQLite 2 and the error message
>  that DBD outputs is rather confusing (much more generic than "can't
>  read files in SQLite 2 format").
> 
>  The package itself is usable, one must only pay attention to what one
>  is doing.
> 
>  It's unsuitable for release with sarge because we don't know what
>  upstream's plan is (maybe Krzysztof has already figured out something
>  with upstream, but there's no record of that on the BTS).  I would very
>  much prefer _not_ to release these packages with sarge unless this is
>  fixed and an upgrade path is provided.  SQLite provides such path, only
>  the Perl DBD is a mess.

Upstream author answered that he don't want to change name of package
(to dbd::sqlite3) but will provide "another solution". He didn't tell
what he mind writing this. 

I am afraid I am not able to find solution myself so I'll "donate" this
package to Debian Perl Group. I will upload to Alioth this package as
soon as possible.

  eloy
                                                                        
-- 
* Allegro.pl / Aukro.cz / Au-Au.ru
* Krzysztof 'eloy' Krzyżaniak
* <eloy@allegro.pl>




Reply sent to Martin Michlmayr <tbm@cyrius.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jihoon Chung <jhchung@sig-n.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 283896-done@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 229400-done@bugs.debian.org, 283896-done@bugs.debian.org, 286856-done@bugs.debian.org, 303070-done@bugs.debian.org
Subject: Removed
Date: Thu, 28 Apr 2005 01:49:51 +0100
The libdbd-sqlite-perl package has been removed from Debian because it
has been superseded by libdbd-sqlite{2,3}-perl.

-- 
Martin Michlmayr
http://www.cyrius.com/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:38:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.